gtksourceviewmm: Gsv::Style Class Reference

gtksourceviewmm 3.2.0

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gsv::Style Class Reference

Class representing a style. More...

`#include <gtksourceviewmm/style.h>`

Inheritance diagram for Gsv::Style:
[legend]

List of all members.

## Public Member Functions
GtkSourceStyle* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyle* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Style > | copy () const
| Creates a copy of a style, that is a new Style instance which has the same attributes set.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_background () const
| Background color.
Glib::PropertyProxy_ReadOnly < bool > | property_background_set () const
| Whether background color is set.
Glib::PropertyProxy_ReadOnly < bool > | property_bold () const
| Bold.
Glib::PropertyProxy_ReadOnly < bool > | property_bold_set () const
| Whether bold attribute is set.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_foreground () const
| Foreground color.
Glib::PropertyProxy_ReadOnly < bool > | property_foreground_set () const
| Whether foreground color is set.
Glib::PropertyProxy_ReadOnly < bool > | property_italic () const
| Italic.
Glib::PropertyProxy_ReadOnly < bool > | property_italic_set () const
| Whether italic attribute is set.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_line_background () const
| Line background color.
Glib::PropertyProxy_ReadOnly < bool > | property_line_background_set () const
| Whether line background color is set.
Glib::PropertyProxy_ReadOnly < bool > | property_strikethrough () const
| Strikethrough.
Glib::PropertyProxy_ReadOnly < bool > | property_strikethrough_set () const
| Whether strikethrough attribute is set.
Glib::PropertyProxy_ReadOnly < bool > | property_underline () const
| Underline.
Glib::PropertyProxy_ReadOnly < bool > | property_underline_set () const
| Whether underline attribute is set.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::Style > | wrap (GtkSourceStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Class representing a style.

## Member Function Documentation

Glib::RefPtr<Style> Gsv::Style::copy | ( |  | ) | const

Creates a copy of a style, that is a new Style instance which has the same attributes set.

Returns:
  Copy of a style.

Since gtksourceviewmm 2.2:

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::Style::property_background | ( |  | ) | const

Background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_background_set | ( |  | ) | const

Whether background color is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_bold | ( |  | ) | const

Bold.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_bold_set | ( |  | ) | const

Whether bold attribute is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::Style::property_foreground | ( |  | ) | const

Foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_foreground_set | ( |  | ) | const

Whether foreground color is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_italic | ( |  | ) | const

Italic.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_italic_set | ( |  | ) | const

Whether italic attribute is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::Style::property_line_background | ( |  | ) | const

Line background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_line_background_set | ( |  | ) | const

Whether line background color is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_strikethrough | ( |  | ) | const

Strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_strikethrough_set | ( |  | ) | const

Whether strikethrough attribute is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_underline | ( |  | ) | const

Underline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Style::property_underline_set | ( |  | ) | const

Whether underline attribute is set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::Style > wrap | ( | GtkSourceStyle * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.